using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SplitContainer_Multiple_Tabs
{
    public partial class Form1 : Form
    {
        #region Initialization
        public Form1()
        {
            InitializeComponent();

            CreateLabelContent();
        }

        private void CreateLabelContent()
        {
            String content = "<div style=\"font:Verdana,9,r\"><p>   This sample shows how to add multiple tabs in SplitContainer .NET control, and how to place them above or below the splitter.</p><br></br>";
            content += "<p>   By clicking on 'Add Tab' button, you can create and add a new panel to the container, which will also become selected. Depending on the tab placement, the panel will be added either above or below the splitter.</p><br></br>";
            content += "<p>   Also you can remove the currently selected panel, by clicking on 'Remove Tab' button. The selection willbe switched to the previously selected tab.</p><br></br>";
            content += "<p><table width=\"100%\" cellpadding=\"5\"><tr><td width=\"100%\" style=\"align:middleright;textcolor:DarkRed;hovertextcolor:Red\"><a href=\"www.lidorsystems.com/support/articles/\">More Info ...</a></td></tr></table></p>";
            content += "</div>";

            this.labelInfo.Content = content;
        }

        private void labelInfo_ContentObjectClicked(object sender, LidorSystems.IntegralUI.ObjectClickEventArgs e)
        {
            if (e.Object is LinkLabel)
                System.Diagnostics.Process.Start((e.Object as LinkLabel).Links[0].LinkData.ToString());
        }
        #endregion

        #region Control Panel
        private void btnAdd_Click(object sender, EventArgs e)
        {
            LidorSystems.IntegralUI.Containers.SplitContainerPage page = new LidorSystems.IntegralUI.Containers.SplitContainerPage("Panel" + (this.splitContainer1.Pages.Count + 1).ToString());
            
            // Depending on tab placement, add the new panel either above or below split bar
            if (rdTop.Checked)
                page.DisplayPosition = LidorSystems.IntegralUI.Containers.SplitPageDisplayPosition.TopLeft;
            else
                page.DisplayPosition = LidorSystems.IntegralUI.Containers.SplitPageDisplayPosition.BottomRight;

            // As for content in each panel create a new Label
            Label lbl = new Label();
            lbl.AutoSize = false;
            lbl.Dock = DockStyle.Fill;
            lbl.TextAlign = ContentAlignment.MiddleCenter;
            lbl.Text = page.Text + " Content";
            page.Controls.Add(lbl);

            // Add the panel to the SplitContainer
            this.splitContainer1.Pages.Add(page);

            // Set the new panel as currently active view
            this.splitContainer1.SelectedPage = page;
        }

        private void btnRemove_Click(object sender, EventArgs e)
        {
            // If there is some panel selected, remove it
            if (this.splitContainer1.SelectedPage != null)
                this.splitContainer1.Pages.Remove(this.splitContainer1.SelectedPage);
        }
        #endregion
    }
}