Public Class Form1
#Region "Initialization"
    Public Sub New()
        InitializeComponent()

        CreateLabelContent()
    End Sub

    Private Sub CreateLabelContent()
        Dim content As [String] = "<div style=""font:Verdana,9,r""><p>   This sample shows how to add multiple tabs in SplitContainer .NET control, and how to place them above or below the splitter.</p><br></br>"
        content += "<p>   By clicking on 'Add Tab' button, you can create and add a new panel to the container, which will also become selected. Depending on the tab placement, the panel will be added either above or below the splitter.</p><br></br>"
        content += "<p>   Also you can remove the currently selected panel, by clicking on 'Remove Tab' button. The selection willbe switched to the previously selected tab.</p><br></br>"
        content += "<p><table width=""100%"" cellpadding=""5""><tr><td width=""100%"" style=""align:middleright;textcolor:DarkRed;hovertextcolor:Red""><a href=""www.lidorsystems.com/support/articles/"">More Info ...</a></td></tr></table></p>"
        content += "</div>"

        Me.labelInfo.Content = content
    End Sub

    Private Sub labelInfo_ContentObjectClicked(ByVal sender As Object, ByVal e As LidorSystems.IntegralUI.ObjectClickEventArgs) Handles labelInfo.ContentObjectClicked
        If TypeOf e.[Object] Is LinkLabel Then
            System.Diagnostics.Process.Start(TryCast(e.[Object], LinkLabel).Links(0).LinkData.ToString())
        End If
    End Sub
#End Region

#Region "Control Panel"
    Private Sub btnAdd_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnAdd.Click
        Dim page As New LidorSystems.IntegralUI.Containers.SplitContainerPage("Panel" & (Me.splitContainer1.Pages.Count + 1).ToString())

        ' Depending on tab placement, add the new panel either above or below split bar
        If rdTop.Checked Then
            page.DisplayPosition = LidorSystems.IntegralUI.Containers.SplitPageDisplayPosition.TopLeft
        Else
            page.DisplayPosition = LidorSystems.IntegralUI.Containers.SplitPageDisplayPosition.BottomRight
        End If

        ' As for content in each panel create a new Label
        Dim lbl As New Label()
        lbl.AutoSize = False
        lbl.Dock = DockStyle.Fill
        lbl.TextAlign = ContentAlignment.MiddleCenter
        lbl.Text = page.Text + " Content"
        page.Controls.Add(lbl)

        ' Add the panel to the SplitContainer
        Me.splitContainer1.Pages.Add(page)

        ' Set the new panel as currently active view
        Me.splitContainer1.SelectedPage = page
    End Sub

    Private Sub btnRemove_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnRemove.Click
        ' If there is some panel selected, remove it
        If Me.splitContainer1.SelectedPage IsNot Nothing Then
            Me.splitContainer1.Pages.Remove(Me.splitContainer1.SelectedPage)
        End If
    End Sub
#End Region
End Class
